# Notebook$update

### Notebook$<mark style="color:purple;">update</mark>(*name=NULL, source\_table=NULL*) → self

Update attributes on a notebook.

### **Parameters:**

**`name` :&#x20;*****str, default NULL*** \
If specified, will rename the notebook. All notebook names (case-insensitive, ignoring non-word characters and spaces) must be unique within their workflow.

**`source_table` :&#x20;*****str |*** [***Table***](/api/client-libraries/redivis-r/reference/table.md)***, default NULL***\
If specified, update the notebook's source to the specified table. Must be the a valid table reference (as a string), or an instance of a Table.

### **Returns:**&#x20;

**self (a** [**Notebook**](/api/client-libraries/redivis-r/reference/notebook.md)**)**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/notebook/notebookusdupdate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
